// swift-tools-version: 5.7

import PackageDescription

let package = Package(
    name: "Libraries",
    platforms: [.iOS(.v15)],
    products: [
        .library(
            name: "Libraries",
            targets: [
                "APIService",
                "DataModels",
                "Dependencies",
                "KeychainStorage",
                "UseCases"
            ]
        ),
    ],
    dependencies: [
        .package(path: "../Cores"),
        .package(
            url: "https://github.com/kishikawakatsumi/KeychainAccess.git",
            from: "4.0.0"
        ),
    ],
    targets: [
        .target(name: "APIService"),
        .target(name: "DataModels"),
        .target(
            name: "Dependencies",
            dependencies: [
                "Cores",
                "APIService"
            ]
        ),
        .target(
            name: "KeychainStorage",
            dependencies: [
                "KeychainAccess"
            ]
        ),
        .target(
            name: "UseCases",
            dependencies: [
                "Cores",
                "APIService",
                "DataModels",
                "Dependencies",
                "KeychainStorage"
            ]
        ),
        .testTarget(
            name: "APIServiceTests",
            dependencies: ["APIService"]
        ),
        .testTarget(
            name: "DependenciesTests",
            dependencies: ["Dependencies"]
        ),
        .testTarget(
            name: "KeychainStorageTests",
            dependencies: ["KeychainStorage"]
        )
    ]
)
