//
//  Text+Helpers.swift
//  Browse
//
//  Created by Javier Cicchelli on 03/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import SwiftUI

extension Text {
    
    /// Renders a text for the name of a folder or document item.
    /// - Returns: A formatted text rendered as an erasured view.
    func itemName() -> some View {
        self
            .font(.headline)
            .lineLimit(1)
            .truncationMode(.middle)
            .foregroundColor(.primary)
            .frame(maxWidth: .infinity, alignment: .leading)
    }
}
